unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus;

type
  TMenu = class(TForm)
    Menu: TMainMenu;
    Form1: TMenuItem;
    Form2: TMenuItem;
    Form3: TMenuItem;
    procedure Form2Click(Sender: TObject);
  private
     function f_CreateFormByClassName(const as_ClassName: string): TForm;
    { Private declarations }
  public
     x,y:string;
    { Public declarations }
  end;

var
  Menu: TMenu;

implementation
uses unit2;
{$R *.DFM}

procedure TMenu.Form2Click(Sender: TObject);
var
  lo_Form:TForm;
  ls_FormName:String;
begin
  x:='test1';
  ls_FormName := 'T' + TmenuItem(Sender).Name  ;
  //showmessage(ls_FormName);
  try
    lo_Form := f_CreateFormByClassName(ls_FormName);

    if lo_Form = Nil then begin
      ShowMessage('{wqI');
      Abort;
    end;
    lo_Form.ShowModal;
  finally
    FreeAndNil(lo_Form);
  end;

end;

function TMenu.f_CreateFormByClassName(const as_ClassName: string): TForm;
var
  lo_Class: TPersistentClass;
begin
  lo_Class := GetClass(as_ClassName);
  if lo_Class <> nil then
    Result := TComponentClass(lo_Class).Create(Application) as TForm
  else
    Result := nil;
end;

end.
